Create a Timerbar. It's automatically added to the internal Timerbar array and drawn in a FIFO (first in, first out) way.

    // Create simple Timerbar
    const myTimerbar = new Cfx.Timerbar("Hello");
    myTimerbar.Text = "World";

    // Disable Timerbar later on
    myTimerbar.Visible = false;

### Hierarchy

- Timerbar

## Index

### Constructors

- constructor

### Properties

- isVisible
- pbarBgColor
- pbarFgColor
- pbarValue
- sprite
- text
- textColor
- title
- usePlayerStyle
- useProgressBar

### Accessors

- PlayerStyle
- Progress
- ProgressbarBgColor
- ProgressbarFgColor
- Sprite
- Text
- TextColor
- Title
- UseProgressBar
- Visible

## Constructors

### constructor

- new Timerbar(title: string, useProgressBar?: boolean): Timerbar

- - Defined in ui/Timerbar.ts:91

  #### Parameters

  - ##### title: string

  - ##### useProgressBar: boolean = false

  #### Returns Timerbar

## Properties

### Private isVisible

isVisible: boolean = false

- Defined in ui/Timerbar.ts:85

### Private pbarBgColor

pbarBgColor: number[] = ...

- Defined in ui/Timerbar.ts:88

### Private pbarFgColor

pbarFgColor: number[] = ...

- Defined in ui/Timerbar.ts:89

### Private pbarValue

pbarValue: number = 0.0

- Defined in ui/Timerbar.ts:86

### Private sprite

sprite: null | Sprite

- Defined in ui/Timerbar.ts:80

### Private text

text: string = ''

- Defined in ui/Timerbar.ts:82

### Private textColor

textColor: number[] = ...

- Defined in ui/Timerbar.ts:87

### Private title

title: string = ''

- Defined in ui/Timerbar.ts:81

### Private usePlayerStyle

usePlayerStyle: boolean = false

- Defined in ui/Timerbar.ts:84

### Private useProgressBar

useProgressBar: boolean = false

- Defined in ui/Timerbar.ts:83

## Accessors

### PlayerStyle

- get PlayerStyle(): boolean
- set PlayerStyle(value: boolean): void

- - Defined in ui/Timerbar.ts:212

  #### Returns boolean

- - Defined in ui/Timerbar.ts:208

  #### Parameters

  - ##### value: boolean

  #### Returns void

### Progress

- get Progress(): number
- set Progress(value: number): void

- - Defined in ui/Timerbar.ts:140

  #### Returns number

- - Defined in ui/Timerbar.ts:144

  #### Parameters

  - ##### value: number

  #### Returns void

### ProgressbarBgColor

- get ProgressbarBgColor(): number | number[]
- set ProgressbarBgColor(value: number | number[]): void

- - Defined in ui/Timerbar.ts:182

  #### Returns number | number[]

- - Defined in ui/Timerbar.ts:186

  #### Parameters

  - ##### value: number | number[]

  #### Returns void

### ProgressbarFgColor

- get ProgressbarFgColor(): number | number[]
- set ProgressbarFgColor(value: number | number[]): void

- - Defined in ui/Timerbar.ts:195

  #### Returns number | number[]

- - Defined in ui/Timerbar.ts:199

  #### Parameters

  - ##### value: number | number[]

  #### Returns void

### Sprite

- get Sprite(): null | Sprite

- - Defined in ui/Timerbar.ts:216

  #### Returns null | Sprite

### Text

- get Text(): string
- set Text(value: string): void

- - Defined in ui/Timerbar.ts:128

  #### Returns string

- - Defined in ui/Timerbar.ts:132

  #### Parameters

  - ##### value: string

  #### Returns void

### TextColor

- get TextColor(): number | number[]
- set TextColor(value: number | number[]): void

- - Defined in ui/Timerbar.ts:169

  #### Returns number | number[]

- - Defined in ui/Timerbar.ts:173

  #### Parameters

  - ##### value: number | number[]

  #### Returns void

### Title

- get Title(): string
- set Title(value: string): void

- - Defined in ui/Timerbar.ts:120

  #### Returns string

- - Defined in ui/Timerbar.ts:124

  #### Parameters

  - ##### value: string

  #### Returns void

### UseProgressBar

- get UseProgressBar(): boolean

- - Defined in ui/Timerbar.ts:136

  #### Returns boolean

### Visible

- get Visible(): boolean
- set Visible(value: boolean): void

- - Defined in ui/Timerbar.ts:148

  #### Returns boolean

- - Defined in ui/Timerbar.ts:152

  #### Parameters

  - ##### value: boolean

  #### Returns void

Generated using TypeDoc